SectionAvailableEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.davic.mpeg.sections
Class SectionAvailableEvent

    java.lang.Object
      java.util.EventObject
          org.davic.mpeg.sections.SectionFilterEvent
              org.davic.mpeg.sections.SectionAvailableEvent

All Implemented Interfaces:
  Serializable

    public class SectionAvailableEvent

extends SectionFilterEvent

This class is used to report a complete section being filtered. It is generated by SimpleSectionFilter, TableSectionFilter and RingSectionFilter objects when a section matching the filtering pattern is successfully filtered from the transport stream.

See Also:
  Serialized Form

Constructor Summary
`SectionAvailableEvent(SectionFilter f, Object appData)` This constructs a SectionAvailable event for the specified SectionFilter object.

Method Summary
`Object` | `getSource()` This returns the SectionFilter object which filtered the data.

Methods inherited from class org.davic.mpeg.sections.SectionFilterEvent
`getAppData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SectionAvailableEvent

    public SectionAvailableEvent(SectionFilter f,
                                 Object appData)

  This constructs a SectionAvailable event for the specified SectionFilter object.

  Parameters:
    `f` - the SectionFilter object which filtered the data.
    `appData` - application data that was passed to the startFiltering method

Method Detail

### getSource

    public Object getSource()

  This returns the SectionFilter object which filtered the data.

  Overrides:
    `getSource` in class `SectionFilterEvent`
  Returns:
    The object on which the Event initially occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD